
TYPO3.Flow - Feature # 36813

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Cli
Created: 2012-05-03 Assigned To: Robert Lemke
Updated: 2012-05-04 Due date:
PHP Version: 5.3
Has patch: No
Complexity: easy
Subject: Provide function for outputting word wrapped text to the command line
Description

Similar to $this->output() and $this->outputLine() the CommandController could provide a method $this->outputFormatted() which
allows for formatted output of the given text.

Associated revisions
Revision 95af0e5f - 2012-05-03 15:00 - Robert Lemke

[FEATURE] Provide outputFormatted() function for CLI

This introduces a new method for outputting formatted
(that is, word wrapped and optionally padded) text to
the command line.

Change-Id: I87feaed54b3b75d5b0ed72b65de0d5f79362d3c1
Resolves: #36813
Releases: 1.1

History
#1 - 2012-05-03 15:01 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10954

#2 - 2012-05-04 02:38 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:95af0e5fb3d64f423160aaa94cee0f0c46a77062.
